For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Developer Tools
CommunityContact UsConsole
HomeAPI ReferenceDocsChangelog
HomeAPI ReferenceDocsChangelog
  • API Reference
      • GETShow metadata
      • PATCHUpdate metadata across multiple files

© 2026 Adobe Inc. All rights reserved.

TermsPrivacyDo not sell or share my personal information
Developer-friendly docs for your API
Logo
Developer Tools
CommunityContact UsConsole
API ReferenceMetadata

Show metadata

GET
https://api.frame.io/v4/accounts/:account_id/files/:file_id/metadata
GET
/v4/accounts/:account_id/files/:file_id/metadata
1from frameio import Frameio
2
3client = Frameio(
4 token="YOUR_TOKEN_HERE",
5)
6
7client.metadata.show(
8 account_id="fd79a5f9-8b01-4ba3-867f-3407573a1fd8",
9 file_id="1b81f188-628d-4545-9bcf-4710de987159",
10)
1{
2 "data": {
3 "file_id": "5d10914b-c11c-40ac-9651-381719c1670a",
4 "metadata": [
5 {
6 "field_type": "select_multi",
7 "field_definition_id": "20ebde9c-80ae-4271-9e92-08d7386c18fd",
8 "field_definition_name": "Fields definition name",
9 "mutable": true,
10 "value": [
11 {
12 "display_name": "Display name",
13 "id": "c797d27e-dfeb-4581-b3de-8af3e5f45c49"
14 }
15 ],
16 "field_options": [
17 {
18 "display_name": "Display name",
19 "id": "c797d27e-dfeb-4581-b3de-8af3e5f45c49"
20 },
21 {
22 "display_name": "Display name 2",
23 "id": "dec9d02f-4a85-4ee7-bca9-c811fbad4803"
24 }
25 ]
26 },
27 {
28 "field_type": "text",
29 "field_definition_id": "20ebde9c-80ae-4271-9e92-08d7386c18fd",
30 "field_definition_name": "Fields definition name",
31 "mutable": true,
32 "value": "text value"
33 }
34 ]
35 }
36}

Show the metadata of a file.
Rate Limits: 100 calls per 1.00 minute(s) per account_user

Was this page helpful?
Previous

Update metadata across multiple files

Next

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

account_idstringRequiredformat: "uuid"
A UUID String
file_idstringRequiredformat: "uuid"
A UUID String

Query parameters

show_nullbooleanOptional

Response headers

x-ratelimit-limitinteger
Rate limit
x-ratelimit-remaininginteger
Rate limit remaining
x-ratelimit-windowinteger
Rate limit window in milliseconds

Response

OK
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error